%----------------------------------------------------------------------------------------
%	PACKAGES
%----------------------------------------------------------------------------------------
\documentclass{article}
\usepackage[french]{babel}
\usepackage[T1]{fontenc}
\usepackage[utf8]{inputenc}
\usepackage{lmodern}
\usepackage{microtype}
\usepackage{amssymb}
\usepackage{amsmath}
\usepackage{graphicx}
\usepackage[colorinlistoftodos]{todonotes}
\usepackage{hyperref}
\usepackage{titlesec}
\usepackage{chngcntr}
\usepackage{fancyhdr}

%----------------------------------------------------------------------------------------
%	PDF SETTINGS SECTIONS
%----------------------------------------------------------------------------------------
\hypersetup{
	pdfauthor = {Guillaume Jadin},
	pdftitle = {[LINFO1112] Synthèse d'Algèbre: Théorie et Applications},
}

%----------------------------------------------------------------------------------------
%	DOCUMENT MARGINS
%----------------------------------------------------------------------------------------
\usepackage{geometry} % Required for adjusting page dimensions and margins

\geometry{
	paper=a4paper, % Paper size, change to letterpaper for US letter size
	top=3cm, % Top margin
	bottom=3cm, % Bottom margin
	left=2.5cm, % Left margin
	right=2.5cm, % Right margin
	headheight=14pt, % Header height
	footskip=1.5cm, % Space from the bottom margin to the baseline of the footer
	headsep=1cm, % Space from the top margin to the baseline of the header
	%showframe, % Uncomment to show how the type block is set on the page
}

%----------------------------------------------------------------------------------------
%	FUNCTIONS
%----------------------------------------------------------------------------------------
\titleclass{\subsubsubsection}{straight}[\subsection]

\newcounter{subsubsubsection}[subsubsection]
\renewcommand\thesubsubsubsection{\thesubsubsection.\arabic{subsubsubsection}}
\renewcommand\theparagraph{\thesubsubsubsection.\arabic{paragraph}} % optional; useful if paragraphs are to be numbered

\titleformat{\subsubsubsection}
  {\normalfont\normalsize\bfseries}{\thesubsubsubsection}{1em}{}
\titlespacing*{\subsubsubsection}
{0pt}{3.25ex plus 1ex minus .2ex}{1.5ex plus .2ex}

\makeatletter
\renewcommand\paragraph{\@startsection{paragraph}{5}{\z@}%
  {3.25ex \@plus1ex \@minus.2ex}%
  {-1em}%
  {\normalfont\normalsize\bfseries}}
\renewcommand\subparagraph{\@startsection{subparagraph}{6}{\parindent}%
  {3.25ex \@plus1ex \@minus .2ex}%
  {-1em}%
  {\normalfont\normalsize\bfseries}}
\def\toclevel@subsubsubsection{4}
\def\toclevel@paragraph{5}
\def\toclevel@paragraph{6}
\def\l@subsubsubsection{\@dottedtocline{4}{7em}{4em}}
\def\l@paragraph{\@dottedtocline{5}{10em}{5em}}
\def\l@subparagraph{\@dottedtocline{6}{14em}{6em}}
\makeatother

\setcounter{secnumdepth}{4}
\setcounter{tocdepth}{4}

%----------------------------------------------------------------------------------------
%	FORMATS
%----------------------------------------------------------------------------------------
\titleformat*{\section}{\LARGE\bfseries}
\titleformat*{\subsection}{\Large\bfseries}
\titleformat*{\subsubsection}{\large\bfseries}
\titleformat*{\subsubsubsection}{\large\bfseries}
\counterwithin*{section}{part}

\begin{document}

\newcommand{\HRule}{\rule{\linewidth}{0.5mm}} % Defines a new command for the horizontal lines, change thickness here

%----------------------------------------------------------------------------------------
%	HEADING SECTIONS
%----------------------------------------------------------------------------------------
\begin{titlepage}
\begin{center}
\includegraphics[scale = 0.7]{images/UCLouvain_EPL.png}\\[1.2cm]

%----------------------------------------------------------------------------------------
%	TITLE SECTION
%----------------------------------------------------------------------------------------
\HRule \\[0.4cm]
{ \huge \bfseries Synthèse d'Algèbre}\\[0.4cm]
{ \huge \bfseries Théorie et Applications}\\[0.4cm]
\HRule \\[1.5cm]
 
%----------------------------------------------------------------------------------------
%	AUTHOR SECTION
%----------------------------------------------------------------------------------------
\begin{center}
    \emph{\textbf{Année académique}: }\\
    \textsc{Sinf Bac1}\\[1cm]
\end{center}

\begin{minipage}[t]{0.4\textwidth}
\begin{flushleft} \large
\emph{\textbf{Auteur}: }\\
Guillaume \textsc{Jadin}\\
\end{flushleft}
\end{minipage}
~
\begin{minipage}[t]{0.4\textwidth}
\begin{flushright} \large
\emph{\textbf{Cours}: }\\
$[$LINFO1112$]$\\
Algèbre\\
\end{flushright}
\end{minipage}\\[1cm]

\begin{minipage}[t]{0.4\textwidth}
\begin{flushleft} \large
\emph{\textbf{Professeurs}: }\\
Christophe \textsc{Craeye}\\
Thomas \textsc{Peters}\\
\end{flushleft}
\end{minipage}
~
\begin{minipage}[t]{0.4\textwidth}
\begin{flushright} \large
\emph{\textbf{Assistants/Tuteurs}: }\\
Eliott \textsc{Brion}\\
Anne-Sophie \textsc{Collin}\\
Pierre-Yves \textsc{Gousenbourger}\\
Clément \textsc{Massart}\\
\end{flushright}
\end{minipage}\\[2cm]

%----------------------------------------------------------------------------------------
%	DATE SECTION
%----------------------------------------------------------------------------------------
\vfill
{\large 2018 - 2020}\\[2cm] % Change to '\the\year' if modifications
\end{center}
\end{titlepage}

%----------------------------------------------------------------------------------------
%	README SECTION
%----------------------------------------------------------------------------------------
\input{parts/readme}

%----------------------------------------------------------------------------------------
%	TABLE OF CONTENTS SECTION
%----------------------------------------------------------------------------------------
\pagenumbering{Roman}
\tableofcontents
\newpage

%----------------------------------------------------------------------------------------
%	DOC SETTINGS SECTION
%----------------------------------------------------------------------------------------
\pagenumbering{arabic}
%\renewcommand{\thesection}{} % Section numbering: remove numbers
%\renewcommand\thesubsection{\arabic{subsection}} % Section numbering: redefined numbers

%----------------------------------------------------------------------------------------
%   DOC
%----------------------------------------------------------------------------------------
\input{parts/part1}
\input{parts/part2}
\input{parts/part3}
\input{parts/part4}
\input{parts/part5}

\end{document}
